Commit 693450a2 authored by Matthieu Boileau's avatar Matthieu Boileau
Browse files

Prepare to v0.3.0

parent 24359022
Pipeline #10128 passed with stages
in 3 minutes and 22 seconds
# Changelog
## [0.3.0] - 2020-11-05
### Changed
- `style_ipython.tplx` -> `style_ipython.tex.j2` in `/theme/default/templates/book.tplx`. Please update this file in your local `theme/` dir if you are using nbconvert >= 6.0
- some code enhancement
### Fixed
- Fix issues with pdf generation using nbconvert >= 6.0
[tool.poetry]
name = "nbcourse"
version = "0.2.6"
version = "0.3.0"
description = "Create a minisite to publish a course based on Jupyter notebooks"
authors = ["Matthieu Boileau <matthieu.boileau@math.unistra.fr>"]
license = "MIT"
......@@ -10,8 +10,7 @@ readme = "README.md"
[tool.poetry.dependencies]
python = "^3.7"
nbconvert = "^5.6.1"
bookbook = "^0.2"
nbconvert = ">=6.0"
bs4 = "^0.0.1"
IPython = "^7.15.0"
jinja2 = "^2.11.2"
......@@ -22,6 +21,7 @@ rise = "^5.6.1"
pyyaml = "^5.3.1"
doit = ">=0.32.0"
python-frontmatter = "^0.5.0"
bookbook = { git = "https://github.com/boileaum/bookbook.git", branch = "master" }
[tool.poetry.dev-dependencies]
pytest = "^5.4.3"
......
appnope==0.1.0; sys_platform == "darwin" or platform_system == "Darwin"
attrs==19.3.0
appnope==0.1.0; sys_platform == "darwin" and platform_system == "Darwin"
argon2-cffi==20.1.0
async-generator==1.10; python_version >= "3.5"
attrs==20.3.0; python_version >= "2.7" and python_full_version < "3.0.0" or python_full_version >= "3.4.0"
backcall==0.2.0
beautifulsoup4==4.9.1
bleach==3.1.5
bookbook==0.2
beautifulsoup4==4.9.3
bleach==3.2.1; python_version >= "2.7" and python_full_version < "3.0.0" or python_full_version >= "3.5.0"
bookbook @ git+https://github.com/boileaum/bookbook.git@master ; python_version >= "3.5"
bs4==0.0.1
cloudpickle==1.4.1
colorama==0.4.3; sys_platform == "win32"
cffi==1.14.3
cloudpickle==1.6.0; python_version >= "3.5"
colorama==0.4.4; python_version >= "2.7" and python_full_version < "3.0.0" and sys_platform == "win32" or python_full_version >= "3.5.0" and sys_platform == "win32"
data==0.4
decorator==4.4.2
defusedxml==0.6.0
doit==0.32.0
entrypoints==0.3
decorator==4.4.2; python_version >= "2.6" and python_full_version < "3.0.0" or python_full_version >= "3.2.0"
defusedxml==0.6.0; python_version >= "2.7" and python_full_version < "3.0.0" or python_full_version >= "3.5.0"
doit==0.33.1; python_version >= "3.5"
entrypoints==0.3; python_version >= "2.7"
funcsigs==1.0.2
future==0.18.2
importlib-metadata==1.6.1; python_version < "3.8"
ipykernel==5.3.0
ipython==7.15.0
future==0.18.2; python_version >= "2.6" and python_full_version < "3.0.0" or python_full_version >= "3.3.0"
importlib-metadata==2.0.0; python_version >= "2.7" and python_full_version < "3.0.0" and python_version < "3.8" or python_full_version >= "3.5.0" and python_version < "3.8"
ipykernel==5.3.4; python_version >= "3.5"
ipython-genutils==0.2.0
jedi==0.17.0
jinja2==2.11.2
ipython==7.19.0; python_version >= "3.7"
jedi==0.17.2; python_version >= "2.7" and python_full_version < "3.0.0" or python_full_version >= "3.5.0"
jinja2==2.11.2; (python_version >= "2.7" and python_full_version < "3.0.0") or (python_full_version >= "3.5.0")
jsonschema==3.2.0
jupyter-client==6.1.3
jupyter-client==6.1.7; python_version >= "3.5"
jupyter-contrib-core==0.3.3
jupyter-contrib-nbextensions==0.5.1
jupyter-core==4.6.3
jupyter-core==4.6.3; python_version >= "2.7" and python_version < "3.0" or python_version > "3.0" and python_version < "3.1" or python_version > "3.1" and python_version < "3.2" or python_version > "3.2" and python_version < "3.3" or python_version > "3.3" and python_version < "3.4" or python_version > "3.4"
jupyter-highlight-selected-word==0.2.0
jupyter-latex-envs==1.4.6
jupyter-nbextensions-configurator==0.4.1
jupyterlab-pygments==0.1.2
latex==0.7.0
lxml==4.5.1
lxml==4.6.1; python_version >= "2.7" and python_full_version < "3.0.0" or python_full_version >= "3.5.0"
macfsevents==0.8.1; sys_platform == "darwin"
markdown==3.2.2
markupsafe==1.1.1
markdown==3.3.3; python_version >= "3.6"
markupsafe==1.1.1; python_version >= "2.7" and python_full_version < "3.0.0" or python_full_version >= "3.4.0"
mistune==0.8.4
nbconvert==5.6.1
nbformat==5.0.7
notebook==6.0.3
packaging==20.4
pandocfilters==1.4.2
parso==0.7.0
nbclient==0.5.1; python_version >= "3.6"
nbconvert==6.0.7; python_version >= "3.6"
nbformat==5.0.8; python_version >= "3.5"
nest-asyncio==1.4.2; python_version >= "3.5"
notebook==6.1.4; python_version >= "3.5"
packaging==20.4; python_version >= "2.7" and python_full_version < "3.0.0" or python_full_version >= "3.4.0"
pandocfilters==1.4.3; python_version >= "2.7" and python_full_version < "3.0.0" or python_full_version >= "3.4.0"
parso==0.7.1; python_version >= "2.7" and python_full_version < "3.0.0" or python_full_version >= "3.4.0"
pexpect==4.8.0; sys_platform != "win32"
pickleshare==0.7.5
prometheus-client==0.8.0
prompt-toolkit==3.0.5
ptyprocess==0.6.0; sys_platform != "win32" or os_name != "nt"
pygments==2.6.1
prompt-toolkit==3.0.8; python_full_version >= "3.6.1"
ptyprocess==0.6.0; sys_platform != "win32" and os_name != "nt"
pycparser==2.20; python_version >= "2.7" and python_full_version < "3.0.0" or python_full_version >= "3.4.0"
pygments==2.7.2; python_version >= "3.5"
pyinotify==0.9.6; sys_platform == "linux"
pyparsing==2.4.7
pyrsistent==0.16.0
python-dateutil==2.8.1
pyparsing==2.4.7; python_version >= "2.6" and python_full_version < "3.0.0" or python_full_version >= "3.3.0"
pyrsistent==0.17.3; python_version >= "3.5"
python-dateutil==2.8.1; python_version >= "2.7" and python_full_version < "3.0.0" or python_full_version >= "3.3.0"
python-frontmatter==0.5.0
pywin32==228; sys_platform == "win32"
pywinpty==0.5.7; os_name == "nt"
pyyaml==5.3.1
pyzmq==19.0.1
rise==5.6.1
pyyaml==5.3.1; (python_version >= "2.7" and python_full_version < "3.0.0") or (python_full_version >= "3.5.0")
pyzmq==19.0.2; python_version >= "2.7" and python_full_version < "3.0.0" or python_full_version >= "3.3.0"
rise==5.7.1; (python_version >= "2.7" and python_full_version < "3.0.0") or (python_full_version >= "3.4.0" and python_version < "4")
send2trash==1.5.0
shutilwhich==1.1.0
six==1.15.0
soupsieve==1.9.6
six==1.15.0; python_version >= "2.7" and python_full_version < "3.0.0" or python_full_version >= "3.3.0"
soupsieve==2.0.1; python_version >= "3.5"
tempdir==0.7.1
terminado==0.8.3
terminado==0.9.1; python_version >= "3.6"
testpath==0.4.4
tornado==6.0.4
traitlets==4.3.3
wcwidth==0.2.4
tornado==6.1; python_version >= "3.5"
traitlets==5.0.5; python_version >= "3.7"
wcwidth==0.2.5
webencodings==0.5.1
zipp==3.1.0; python_version < "3.8"
zipp==3.4.0; python_version >= "3.6" and python_version < "3.8"
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment